<?php

namespace App\Modelos;

use Core\Database;

class EmpleadoCuentas extends Database
{
    protected $table    = 'app_empleados_cuentas';
    protected $id       = 'ec_id';

    public function obtenerCuentas(int $id_empleado)
    {
        return $this->consultar("SELECT ec_id id, bc_cuenta cuenta, bc_alias alias
        FROM app_empleados_cuentas ec
        JOIN app_bancos_cuentas bc ON bc.bc_id = ec.ec_bcid
        WHERE ec.ec_empid = $id_empleado")->all();
    }

    public function existeCuenta(int $id_empleado, int $id_cuenta)
    {
        return $this->consultar("SELECT * FROM app_empleados_cuentas WHERE ec_empid = $id_empleado AND ec_bcid = $id_cuenta")->row();
    }

    public function obtenerAlmacenes($id_empleado)
    {
        return $this->consultar("SELECT * FROM app_empleados_almacen 
        JOIN app_almacenes a ON a.alm_id = empalm_almid        
        WHERE empalm_empid=$id_empleado")->all();
    }
}
